# class Tk::BWidget::ProgressDlg

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

create() click to toggle source

    # File lib/tkextlib/bwidget/progressdlg.rb, line 56
    def create
      window(tk_call(self.class::TkCommandNames[0], @path, *hash_kv(@keys)))
    end

create_self(keys) click to toggle source
Calls superclass method Tk::BWidget::MessageDlg#create_self

    # File lib/tkextlib/bwidget/progressdlg.rb, line 25
    def create_self(keys)
      # NOT create widget for reusing the object
      super(keys)
      @keys['textvariable'] = TkVariable.new unless @keys.key?('textvariable')
      @keys['variable']     = TkVariable.new unless @keys.key?('variable')
    end

text() click to toggle source

    # File lib/tkextlib/bwidget/progressdlg.rb, line 36
    def text
      @keys['textvariable'].value
    end

text=(txt) click to toggle source

    # File lib/tkextlib/bwidget/progressdlg.rb, line 40
    def text= (txt)
      @keys['textvariable'].value = txt
    end

textvariable() click to toggle source

    # File lib/tkextlib/bwidget/progressdlg.rb, line 32
    def textvariable
      @keys['textvariable']
    end

value() click to toggle source

    # File lib/tkextlib/bwidget/progressdlg.rb, line 48
    def value
      @keys['variable'].value
    end

value=(val) click to toggle source

    # File lib/tkextlib/bwidget/progressdlg.rb, line 52
    def value= (val)
      @keys['variable'].value = val
    end

variable() click to toggle source

    # File lib/tkextlib/bwidget/progressdlg.rb, line 44
    def variable
      @keys['variable']
    end